/* TeX Sketch Installationsprogramm */

call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

call title

/* Installationsverzeichnis bestimmen */

instDir = value("emtexdir",,"os2environment")
emtex = 0

if instDir <> "" then
do
  say
  say "Es wurde eine emTeX Installation in" instDir "gefunden."
  say
  call charout, "TeX Sketch in das emTeX Verzeichnis installieren? [J/N] "
  pull answer
  if answer = "J" then
    emtex = 1
end

if \ emtex then
do
  say
  say "Verzeichnis, in das TeX Sketch installiert werden soll?"
  parse pull instDir
end

/* Sprache bestimmen */

say
call charout, "Deutsche oder englische Programmoberflche? [D/E] "
pull answer
if answer = "D" then
  lang = "G"
else
  lang = "E"

/* WPS Objekt? */

say
call charout, "WPS Programmobjekt erzeugen? [J/N] "
pull answer
if answer = "J" then
  wpsobj = 1
else
  wpsobj = 0

/* Sicherheitsabfrage ob alles korrekt */

call title

say
say " Folgende Verzeichnisse werden benutzt/erzeugt:"
if emtex then
do
  say "   " instDir||"\bin"
  say "   " instDir||"\dll          <== HINWEIS: in LIBPATH eintragen!"
  say "   " instDir||"\book\german"
  say "   " instDir||"\remove"
end
else
  say "   " instDir
say
if lang = "G" then
  call charout, " Deutsche"
else
  call charout, " Englische"
say " Programmoberflche."
say
if \ wpsobj then
  call charout, " Kein"
else
  call charout, ""
say " WPS Programmobjekt erzeugen."
say
call charout, "Sind diese Angaben korrekt? [J/N] "
pull answer
if answer <> "J" then
do
  say
  say "Installation angebrochen."
  exit
end

/* Dateien kopieren */

call title

say
call charout, "Installiere TeX Sketch ."

"@echo off"

if lang = "E" then
  copy "tskresen.dll" "tskres.dll > nul"
else
  copy "tskresgr.dll" "tskres.dll > nul"
call charout, "."

if emtex then
do
  xcopy "texsk.exe"  instdir||"\bin\ > nul"
  call charout, "."
  xcopy "texsk.ico"  instDir||"\bin\ > nul"
  call charout, "."
  xcopy "texsk.rem"  instDir||"\remove\ > nul"
  call charout, "."
  xcopy "tskdoc.inf" instDir||"\book\german\ > nul"
  call charout, "."
  xcopy "tskres.dll" instDir||"\dll\ > nul"
  call charout, "."
end
else
do
  xcopy "texsk.exe"  instDir||"\ > nul"
  call charout, "."
  xcopy "texsk.ico"  instDir||"\ > nul"
  call charout, "."
  xcopy "tskdoc.inf" instDir||"\ > nul"
  call charout, "."
  xcopy "tskres.dll" instDir||"\ > nul"
  call charout, "."
end

del "tskres.dll"

/* WPS Objekt erzeugen */

if emtex then
  exeDir = instDir||"\bin"
else
  exeDir = instDir

if wpsobj then
do
  rc = SysCreateObject( "WPProgram", "TeX Sketch", "<WP_DESKTOP>", "EXENAME="||exeDir||"\texsk.exe;STARTUPDIR="||exeDir";ICONFILE="||exeDir||"\texsk.ico;ASSOCFILTER=*.PIC" )
  call charout, "."
end

say
say "Fertig."

exit

title: procedure

cls
say "###############################################################################"
say "#                                                                             #"
say "#                               T e X  S k e t c h                            #"
say "#                                  Installation                               #"
say "#                                                                             #"
say "#                       (c) copyright 1996 by Tim Bahnes                      #"
say "#                                                                             #"
say "###############################################################################"

return
